Bug 228303

Summary: Review Request: python-tag - Python bindings for TagLib to read and write music files tags
Product: [Fedora] Fedora Reporter: Matthias Saou <matthias>
Component: Package ReviewAssignee: Xavier Lamien <lxtnow>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bnocera
Target Milestone: ---Flags: lxtnow: fedora‑review+
wtogami: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-14 12:29:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 233598    

Description Matthias Saou 2007-02-12 11:17:49 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/python-tag/
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/python-tag/
Description:
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.
Comment 1 Matthias Saou 2007-03-01 09:23:28 EST
Please note that this is a totally trivial package from the packaging point of
view, so it should be really easy and quick to review.
Comment 2 Xavier Lamien 2007-03-23 12:13:19 EDT
Okay, 

it'll done this week-end
Comment 3 Xavier Lamien 2007-04-18 08:01:30 EDT
Starting review
Comment 4 Xavier Lamien 2007-04-18 22:08:33 EDT
OK - Mock : Built on FC6 en FC-Devel (i386 and x86_64)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License field in spec matches
OK - License is BSD (BSD_like)
NO - License file is not included in package
-----
The BSD license is only mentioned by PKG-INFO file which is not included
in the package.
-----
OK - Spec in American English
OK - Spec is legible.
OK - Sources SHOULD match upstream md5sum:
c9de0b7b3819579b5f460b20c42e03c9  tagpy-0.91.tar.gz
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.

OK - Should function as described.
OK - Should package latest version

------------------------------------------------
Rpmlint output:
------------------------------------------------
* from srpm : quiet.

* from rpm :
W: python-tag spurious-executable-perm /usr/share/doc/python-tag-0.91/tagrename
W: python-tag doc-file-dependency /usr/share/doc/python-tag-0.91/tagrename
/usr/bin/env

The files which are installed in %{_docdir}/%{name}-%{version} are exemples, as
mentioned in the README file which's includes in the package.
So, these errors are harmless and can be IGNORED.
But, maybe you could change the default permission on it to make rpmlint cute :-).

Comment 5 Matthias Saou 2007-04-19 13:21:28 EDT
Well, for an example script to be executable isn't much of a problem, especially
when it doesn't add an extra requirement like here. I prefer not removing its
executable bit, especially since it doesn't have a .py extension, thus it would
be hard to identify and run.
As for the license, maybe it being set to both "BSD-Style" and "BSD License" in
the PKG-INFO file without being included in the sources is a problem, but I
don't think so.
Comment 6 Xavier Lamien 2007-04-22 19:10:41 EDT
So do I...

After talk about on #Fedora-devel channel, it seems that this package can't be
acceptable like that and can be a blocker.
I think you should bug upstream to include it explicitly.
Comment 7 Xavier Lamien 2007-05-01 19:45:51 EDT
ping ?
Comment 8 Matthias Saou 2007-05-07 07:20:53 EDT
I've just sent an email to Andreas Kloeckner, the author, asking for license
clarification, and if possible, to release a new version which would include the
full exact BSD license the code is released under.
Comment 9 Matthias Saou 2007-05-10 08:22:43 EDT
No news from the author yet. I've looked around, and Debian has recently
included the package, addding a copy of the BSD license to it. So I just did the
same.

Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/python-tag/python-tag.spec
SRPM URL:
http://ftp.es6.freshrpms.net/tmp/extras/python-tag/python-tag-0.91-2.src.rpm

* Thu May 10 2007 Matthias Saou <http://freshrpms.net/> 0.91-2
- Include BSD license text, copied from the debian package (Debian #417372).
- Include minor patch for upstream 0.92 backports.
Comment 10 Xavier Lamien 2007-05-11 10:45:46 EDT
It seem that the tagpy-LISENCE file is included in srpm file but not installed
from built rpm package.
Comment 11 Matthias Saou 2007-05-11 10:53:08 EDT
D'oh! :-)

Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/python-tag/python-tag.spec
SRPM URL:
http://ftp.es6.freshrpms.net/tmp/extras/python-tag/python-tag-0.91-3.src.rpm

* Fri May 11 2007 Matthias Saou <http://freshrpms.net/> 0.91-3
- Actually include LICENSE file.
Comment 12 Xavier Lamien 2007-05-11 17:55:11 EDT
^^....

Well,
In addition/resume to the full review above:

+
OK -- Lisence is BSD
OK -- Lisence file included in package



============
 *APPROVED*
============
Comment 13 Xavier Lamien 2007-05-11 17:55:32 EDT
^^....

Well,
In addition/resume to the full review above:

+
OK -- Lisence is BSD
OK -- Lisence file included in package



============
 *APPROVED*
============
Comment 14 Matthias Saou 2007-05-13 13:43:08 EDT
New Package CVS Request
=======================
Package Name: python-tag
Short Description: Python bindings for TagLib to read and write music files tags
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-4 EL-5
InitialCC: